Rated 5 out of 5 stars

OSB 6.5 (http://yellow5.us/firefox/osb_0.6.5.xpi) is working fine on FF 6.0a1 x64 over W7x64, for me, after manually editing max version in intall.rdf file.